### Signal

# Shumate DataSource::received-data

#### Declaration

    void
    received_data (
      ShumateDataSource* self,
      gint x,
      gint y,
      gint zoom_level,
      GBytes* bytes,
      gpointer user_data
    )

#### Description [src]

Emitted when data is received for any tile. This includes any intermediate steps, such as data from the file cache, as well as the final result.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`x` | `gint`
| The X coordinate of the tile.
`y` | `gint`
| The Y coordinate of the tile.
`zoom_level` | `gint`
| The zoom level of the tile.
`bytes` | `GBytes`
| The received data.
| The data is owned by the caller of the function.